Bug 76607 - Misleading output in Oops: Using_Versions []
Misleading output in Oops: Using_Versions []
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-23 22:22 EDT by Philip Pokorny
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Pokorny 2002-10-23 22:22:43 EDT
Description of Problem:
If a corruption occurs that results in the kernel executing data (outside normal
kernel code), the show_regs() function displays:

EIP is at Using_Versions [] 0x40401234

Where 0x40401234 is one less than the unhandled kernel page fault address.

How Reproducible:

Steps to Reproduce:
1. Corrupt the process table (This is the hard part...)
2. Collect the Oops.

Actual Results:
EIP is at Using_Versions [] 0x40401234

Expected Results:
EIP is at [unresolved]

Additional Information:

One idea would be to change the value of Using_Versions in kernel/ksyms.c to
something like '0xf0000001' so that it sorts numerically after kernel code. 
However that's very 32-bit and probably not cross-platform portable.

Perhaps the lookup_symbol in kernel/kksymoops.c or the functions in
kernel/kallsyms.c should be made to avoid the __ksymtab section?
Comment 1 Bugzilla owner 2004-09-30 11:40:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.